Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 803650 - dev-java/swt-4.10-r2 - * libjawt.so not found in the JDK being used for compilation!
Summary: dev-java/swt-4.10-r2 - * libjawt.so not found in the JDK being used for comp...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-24 07:07 UTC by Toralf Förster
Modified: 2021-07-25 04:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.68 KB, text/plain)
2021-07-24 07:07 UTC, Toralf Förster
Details
dev-java:swt-4.10-r2:20210723-221256.log (dev-java:swt-4.10-r2:20210723-221256.log,1.97 KB, text/plain)
2021-07-24 07:07 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,121.90 KB, text/plain)
2021-07-24 07:07 UTC, Toralf Förster
Details
environment (environment,142.58 KB, text/plain)
2021-07-24 07:07 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,15.67 KB, application/x-bzip)
2021-07-24 07:07 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,1.95 KB, application/x-bzip)
2021-07-24 07:07 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-07-24 07:07:01 UTC
>>> Source configured.
>>> Compiling source in /var/tmp/portage/dev-java/swt-4.10-r2/work ...
 * libjawt.so not found in the JDK being used for compilation!
 * ERROR: dev-java/swt-4.10-r2::gentoo failed (compile phase):
 *   cannot build AWT library
 * 
 * Call stack:

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-j3_test-20210722-112048

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.1.0 *
clang version 12.0.1
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.1
Python 3.9.6
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.53.0 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.292_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4
  HEAD of ::gentoo
commit 2d6aba09267132cb76a9705ae57dc860ef96fb23
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Fri Jul 23 21:21:44 2021 +0000

    2021-07-23 21:21:42 UTC

emerge -qpvO dev-java/swt
[ebuild  N    ] dev-java/swt-4.10-r2  USE="cairo -opengl -webkit"
Comment 1 Toralf Förster gentoo-dev 2021-07-24 07:07:02 UTC
Created attachment 726292 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-07-24 07:07:03 UTC
Created attachment 726295 [details]
dev-java:swt-4.10-r2:20210723-221256.log
Comment 3 Toralf Förster gentoo-dev 2021-07-24 07:07:05 UTC
Created attachment 726298 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2021-07-24 07:07:06 UTC
Created attachment 726301 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2021-07-24 07:07:08 UTC
Created attachment 726304 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-07-24 07:07:09 UTC
Created attachment 726307 [details]
logs.tar.bz2
Comment 7 Miroslav Šulc gentoo-dev 2021-07-24 08:08:27 UTC
openjdk-8 and openjdk-bin-8 does not provide libjawt.so under LDPATH but instead in ./amd64/ subdirectory (at least on amd64), so the code that searches for this jar does not work. looking for a solution...
Comment 8 Miroslav Šulc gentoo-dev 2021-07-24 13:19:03 UTC
ok, after confirmation with gyakovlev, this must be fixed in openjdk ebuilds.
Comment 9 Larry the Git Cow gentoo-dev 2021-07-25 04:41:57 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49a1f153a7683d370c393f8faf8f5202c40fbdac

commit 49a1f153a7683d370c393f8faf8f5202c40fbdac
Author:     Miroslav Šulc <fordfrog@gentoo.org>
AuthorDate: 2021-07-25 04:41:44 +0000
Commit:     Miroslav Šulc <fordfrog@gentoo.org>
CommitDate: 2021-07-25 04:41:44 +0000

    dev-java/swt: added workaround for openjdk{,-bin}-8 to 4.10-r2
    
    Closes: https://bugs.gentoo.org/803650
    Package-Manager: Portage-3.0.20, Repoman-3.0.3
    Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>

 dev-java/swt/swt-4.10-r2.ebuild | 4 ++++
 1 file changed, 4 insertions(+)